onEvent('recipes', event => {

    metals.forEach(metal => {

        var sheetmetal = itemOf(`#forge:sheetmetals/${metal}`);
        var plate = itemOf(`#forge:plates/${metal}`);
        var rod = itemOf(`#forge:rods/${metal}`);

        if(sheetmetal != null && plate != null && rod != null) {
            event.shaped(sheetmetal, 
                [
                    'RSS',
                    'S S',
                    'SSR'
                ], 
                {
                    S: plate,
                    R: rod
                }
            ).id(`immersiveengineering:kubejs/crafting/sheetmetal_${metal}`);
    
            event.recipes.immersiveengineering.metal_press(
                sheetmetal, Item.of(plate, 4), 'immersiveengineering:mold_packing_4'
            ).id(`immersiveengineering:kubejs/metal_press/sheetmetal_${metal}`);
        }
    });

    event.shaped('3x immersiveengineering:steel_wallmount', 
        [
            'SS',
            'SR'
        ], 
        {
            S: 'emendatusenigmatica:steel_ingot',
            R: 'emendatusenigmatica:steel_rod'
        }
    ).id('immersiveengineering:crafting/steel_wallmount');
    event.shaped('3x immersiveengineering:alu_wallmount', 
        [
            'SS',
            'SR'
        ], 
        {
            S: 'emendatusenigmatica:aluminum_ingot',
            R: 'emendatusenigmatica:aluminum_rod'
        }
    ).id('immersiveengineering:crafting/alu_wallmount');
    

})